<template>
  <div class="test-container">
    <div class="test-wrapper1">
      <histogram-alternating id="alternating" ref="alternating"></histogram-alternating>
    </div>
    <div class="test-wrapper1">
      <china-map id="chinaMap" ref="chinaMap"></china-map>
    </div>
    <div class="test-wrapper1">
      <discharge-circuit id="dischargeCircuit" ref="dischargeCircuit"></discharge-circuit>
    </div>
    <div class="test-wrapper1">
      <monomer-voltage id="monomerVoltage" ref="monomerVoltage"></monomer-voltage>
    </div>

    <div class=""></div>
  </div>
</template>

<script>
import histogramAlternating from "@/components/charts/histogramAlternating";
import chinaMap from "@/components/charts/chinaMap";
import dischargeCircuit from "@/components/charts/dischargeCircuit";
import monomerVoltage from "@/components/charts/monomerVoltage";
export default {
  name: "Test",
  components: {histogramAlternating,chinaMap,dischargeCircuit,monomerVoltage},
  data() {
    return {}
  },
  mounted() {
    // 交流ABC
    this.$refs.alternating.setData({
      dataList:[32, 43, 17, 27],
      nameList:['过压数量', '欠压数量', '缺项数量', '过流数量']
    });
    // 中国地图
    this.$refs.chinaMap.setData(null);
    // 放电电流
    this.$refs.dischargeCircuit.setData(null);
    // 单体电压、内阻和温度
    this.$refs.monomerVoltage.setData(null);
  }
}
</script>

<style scoped>
.test-wrapper1{
  width: 100%;
  height: 600px;
}
</style>